---
title: SecurityPolicyViolationEvent.disposition
slug: Web/API/SecurityPolicyViolationEvent/disposition
tags:
  - API
  - CSP
  - Disposition
  - Experimental
  - HTTP
  - Property
  - Reference
  - Security
  - SecurityPolicyViolationEvent
---
<div>{{APIRef("{{HTTPSidebar}}")}}{{ SeeCompatTable() }}</div>

<p>The <code><strong>disposition</strong></code> read-only property of the {{domxref("SecurityPolicyViolationEvent")}} interface indicates how the violated policy is configured to be treated by the user agent.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <var>disposition</var> = <var>violationEventInstance</var>.disposition;</pre>

<h3 id="Value">Value</h3>

<p>A value defined in the <a href="https://w3c.github.io/webappsec-csp/#enumdef-securitypolicyviolationeventdisposition">SecurityPolicyViolationEventDisposition enum</a> representing the URI of the blocked resource. Possible values are <code>"enforce"</code> or <code>"report"</code></p>

<h2 id="Example">Example</h2>

<pre class="brush: js">document.addEventListener("securitypolicyviolation", (e) =&gt; {
  console.log(e.disposition);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSP 3.0','#dom-securitypolicyviolationevent-disposition','disposition')}}</td>
   <td>{{Spec2('CSP 3.0')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SecurityPolicyViolationEvent.disposition")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/CSP">Content Security Policy (CSP)</a></li>
</ul>
